//---------------------------------------------------------------------------

#ifndef CoreMainH
#define CoreMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#define WM_DWLKEYDOWN (WM_USER +1)
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMemo *Memo1;
        TPanel *Panel1;
        TLabel *Label1;
        TButton *bGinaInstall;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall bGinaInstallClick(TObject *Sender);
private:	// User declarations
        int DISABLE;
        void __fastcall AddInfo(String info);
        void __fastcall Keydown(TMessage& Msg);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);

  BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_DWLKEYDOWN,TMessage,Keydown)
  END_MESSAGE_MAP(TForm)

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
